---
- debug:
    msg: "'{{ ansible_ssh_host }}' >> {{ ansible_ssh_host }}"

#- name: Unmount /var/wordpress
#  command: umount {{ mount_nfs_path }} 
#  when: is_nfs_init | default(false) | bool 
#  ignore_errors: True

#- name: Delete content & directory for mount
#  file:
#    state: absent
#    path: "{{ item }}"
#  loop:
#    - "{{ mount_nfs_path }}"
#  when: is_nfs_init | default(false) | bool  

- name: Create a directory for mount
  file:
    path: "{{ mount_nfs_path }}"
    owner: "{{ nginx_user }}"
    group: "{{ nginx_group }}"
    state: directory
  when: is_nfs_init | default(false) | bool

#- name: Mount direcroty
#  command: mount -t nfs {{ nfs_path }} {{ mount_nfs_path }}
#  when: is_nfs_init | default(false) | bool 

- name: Mount network share
  mount:
    src: "{{ nfs_path }}"
    path: "{{ mount_nfs_path }}"
    fstype: nfs
    opts: rw,sync,hard
    state: mounted
  when: is_nfs_init | default(false) | bool  
  